plot.core {bio3d} | R Documentation

## Plot Core Fitting Progress

### Description

Plots the total ellipsoid volume of core positions versus core size at each iteration of the core finding process.

### Usage

    ## S3 method for class 'core'
    plot(x, y = NULL, type = "h", main = "", sub = "",
       xlim = NULL, ylim = NULL, xlab = "Core Size (Number of Residues)",
       ylab = "Total Ellipsoid Volume (Angstrom^3)", axes = TRUE,
       ann = par("ann"), col = par("col"), ...)

### Arguments

`x` | a list object obtained with the function `core.find` from which the ‘volume’ component is taken as the x coordinates for the plot.
`y` | the y coordinates for the plot.
`type` | one-character string giving the type of plot desired.
`main` | a main title for the plot, see also ‘title’.
`sub` | a sub-title for the plot.
`xlim` | the x limits of the plot.
`ylim` | the y limits of the plot.
`xlab` | a label for the x axis.
`ylab` | a label for the y axis.
`axes` | a logical value indicating whether both axes should be drawn.
`ann` | a logical value indicating whether the default annotation (title and x and y axis labels) should appear on the plot.
`col` | The colors for lines and points. Multiple colours can be specified so that each point is given its own color. If there are fewer colors than points they are recycled in the standard fashion.
`...` | extra plotting arguments.

### Value

Called for its effect.

### Note

The produced plot can be useful for deciding on the core/non-core boundary.

### Author(s)

Barry Grant

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`core.find`, `print.core`

### Examples

    ## Not run:

    ##-- Generate a small kinesin alignment and read corresponding structures
    pdbfiles <- get.pdb(c("1bg2","2ncd","1i6i","1i5s"), URLonly=TRUE)
    pdbs <- pdbaln(pdbfiles)

    ##-- Find 'core' positions
    core <- core.find(pdbs)
    plot(core)

    ##-- Fit on these relatively invarient subset of positions
    core.inds <- print(core)
    xyz <- pdbfit(pdbs, core.inds, outpath="corefit_structures")

    ##-- Compare to fitting on all equivalent positions
    xyz2 <- pdbfit(pdbs)

    ## Note that overall RMSD will be higher but RMSF will
    ##  be lower in core regions, which may equate to a
    ##  'better fit' for certain applications
    gaps <- gap.inspect(pdbs$xyz)
    rmsd(xyz[,gaps$f.inds])
    rmsd(xyz2[,gaps$f.inds])

    plot(rmsf(xyz[,gaps$f.inds]), typ="l", col="blue", ylim=c(0,9))
    points(rmsf(xyz2[,gaps$f.inds]), typ="l", col="red")

    ## End(Not run)

[Package bio3d version 2.3-4 Index]